Subject: Re: [PATCH RFC 00/18] Rework MAC drivers EEE support

From: Andrew Lunn <[email-masked]>
Date: Fri, 17 Feb 2023 15:17:47 +0100

> This is a very nice cleanup, and removes a bunch of logic from MAC
> drivers into the phylib core code that should result in more
> uniform behaviour across MAC drivers for this feature. Great!
> 
> I'm left wondering about the phylink using drivers, whether we could
> go a little further, because there's also the tx_lpi_enabled flag
> which should also gate whether EEE is enabled at the MAC

tx_lpi_enabled is something which i think needs further cleanup. Most
MAC drivers ignore it. I added support to a couple of drivers, when it
was simple to do. But not all.

I'm actually thinking of moving it into phylib. The MAC driver really
does not need to care. All it needs is eee_active in the adjust_link
callback.

I'm currently undecided if to make such a change as part of this
patchset, or do it as a follow up.

	Andrew